libzypp 17.37.10

DiskUsageCounter.h File Reference
`#include <set>`
`#include <string>`
`#include <iosfwd>`
`#include <utility>`
`#include <zypp/ResPool.h>`
`#include <zypp/Bitmap.h>`
`#include <zypp/base/Flags.h>`

Go to the source code of this file.

## Classes
class | zypp::DiskUsageCounter
| Compute disk space occupied by packages across partitions/directories. More...
class | zypp::DiskUsageCounter::MountPoint
| Mount point description If block_size is set DiskUsageCoutner will assume half a block_size is wasted per file, in case a package provides detailed isk usage information. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Functions
| zypp::ZYPP_DECLARE_OPERATORS_FOR_FLAGS (DiskUsageCounter::MountPoint::HintFlags)